Index: ./security/courier-authlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/courier-authlib/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./security/courier-authlib/buildlink3.mk	5 Feb 2006 23:10:42 -0000	1.2
+++ ./security/courier-authlib/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	courier-authlib
 
 .if !empty(COURIER_AUTHLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.courier-authlib+=	courier-authlib>=0.53
-BUILDLINK_RECOMMENDED.courier-authlib?=	courier-authlib>=0.58nb2
+BUILDLINK_API_DEPENDS.courier-authlib+=	courier-authlib>=0.53
+BUILDLINK_ABI_DEPENDS.courier-authlib?=	courier-authlib>=0.58nb2
 BUILDLINK_PKGSRCDIR.courier-authlib?=	../../security/courier-authlib
 .endif	# COURIER_AUTHLIB_BUILDLINK3_MK
 
Index: ./security/crypto++/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/crypto++/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./security/crypto++/buildlink3.mk	5 Feb 2006 23:10:42 -0000	1.3
+++ ./security/crypto++/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	cryptopp
 
 .if !empty(CRYPTOPP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cryptopp+=	cryptopp>=5.1
+BUILDLINK_API_DEPENDS.cryptopp+=	cryptopp>=5.1
 BUILDLINK_DEPMETHOD.cryptopp?=	build
-BUILDLINK_RECOMMENDED.cryptopp?=	cryptopp>=5.2.1nb1
+BUILDLINK_ABI_DEPENDS.cryptopp?=	cryptopp>=5.2.1nb1
 BUILDLINK_PKGSRCDIR.cryptopp?=	../../security/cryptopp
 .endif	# CRYPTOPP_BUILDLINK3_MK
 
Index: ./security/cvm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/cvm/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./security/cvm/buildlink3.mk	24 Aug 2005 04:49:31 -0000	1.2
+++ ./security/cvm/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	cvm
 
 .if !empty(CVM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cvm+=		cvm>=0.75
+BUILDLINK_API_DEPENDS.cvm+=		cvm>=0.75
 BUILDLINK_PKGSRCDIR.cvm?=	../../security/cvm
 BUILDLINK_DEPMETHOD.cvm?=	build
 .endif	# CVM_BUILDLINK3_MK
Index: ./security/cyrus-sasl2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/cyrus-sasl2/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./security/cyrus-sasl2/buildlink3.mk	5 Feb 2006 23:10:43 -0000	1.9
+++ ./security/cyrus-sasl2/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cyrus-sasl
 
 .if !empty(CYRUS_SASL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cyrus-sasl+=		cyrus-sasl>=2.1.12
-BUILDLINK_RECOMMENDED.cyrus-sasl?=	cyrus-sasl>=2.1.20nb3
+BUILDLINK_API_DEPENDS.cyrus-sasl+=		cyrus-sasl>=2.1.12
+BUILDLINK_ABI_DEPENDS.cyrus-sasl?=	cyrus-sasl>=2.1.20nb3
 BUILDLINK_PKGSRCDIR.cyrus-sasl?=	../../security/cyrus-sasl2
 .endif	# CYRUS_SASL_BUILDLINK3_MK
 
Index: ./security/dirb/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/dirb/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- ./security/dirb/Makefile	5 Feb 2006 23:10:43 -0000	1.4
+++ ./security/dirb/Makefile	4 Apr 2006 06:26:57 -0000
@@ -16,7 +16,7 @@
 USE_PKGLOCALEDIR=	yes
 GNU_CONFIGURE=		yes
 
-BUILDLINK_DEPENDS.curl+=	curl>=7.15.0nb1
+BUILDLINK_API_DEPENDS.curl+=	curl>=7.15.0nb1
 
 .include "../../www/curl/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./security/dirmngr/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/dirmngr/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./security/dirmngr/buildlink3.mk	5 Feb 2006 23:10:43 -0000	1.4
+++ ./security/dirmngr/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	dirmngr
 
 .if !empty(DIRMNGR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.dirmngr+=	dirmngr>=0.9.3nb1
-BUILDLINK_RECOMMENDED.dirmngr?=	dirmngr>=0.9.3nb2
+BUILDLINK_API_DEPENDS.dirmngr+=	dirmngr>=0.9.3nb1
+BUILDLINK_ABI_DEPENDS.dirmngr?=	dirmngr>=0.9.3nb2
 BUILDLINK_PKGSRCDIR.dirmngr?=	../../security/dirmngr
 .endif	# DIRMNGR_BUILDLINK3_MK
 
Index: ./security/dsniff/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/security/dsniff/Makefile.common,v
retrieving revision 1.3
diff -u -r1.3 Makefile.common
--- ./security/dsniff/Makefile.common	4 Mar 2006 21:30:33 -0000	1.3
+++ ./security/dsniff/Makefile.common	4 Apr 2006 06:26:57 -0000
@@ -10,7 +10,7 @@
 
 GNU_CONFIGURE=	yes
 
-BUILDLINK_DEPENDS.libnet+=	libnet-1.0.*
+BUILDLINK_API_DEPENDS.libnet+=	libnet-1.0.*
 
 PATCHDIR=	${.CURDIR}/../dsniff/patches
 DISTINFO_FILE=	${.CURDIR}/../dsniff/distinfo
Index: ./security/gnome-keyring/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/gnome-keyring/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- ./security/gnome-keyring/Makefile	13 Mar 2006 18:27:46 -0000	1.19
+++ ./security/gnome-keyring/Makefile	4 Apr 2006 06:26:57 -0000
@@ -19,8 +19,8 @@
 
 PKGCONFIG_OVERRIDE=	${WRKSRC}/gnome-keyring-1.pc.in
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.0
-BUILDLINK_DEPENDS.gtk2+=	gtk2+>=2.6.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.0
+BUILDLINK_API_DEPENDS.gtk2+=	gtk2+>=2.6.0
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../devel/glib2/buildlink3.mk"
Index: ./security/gnome-keyring/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/gnome-keyring/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./security/gnome-keyring/buildlink3.mk	5 Feb 2006 23:10:43 -0000	1.5
+++ ./security/gnome-keyring/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-keyring
 
 .if !empty(GNOME_KEYRING_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-keyring+=	gnome-keyring>=0.4.0
-BUILDLINK_RECOMMENDED.gnome-keyring+=	gnome-keyring>=0.4.6nb2
+BUILDLINK_API_DEPENDS.gnome-keyring+=	gnome-keyring>=0.4.0
+BUILDLINK_ABI_DEPENDS.gnome-keyring+=	gnome-keyring>=0.4.6nb2
 BUILDLINK_PKGSRCDIR.gnome-keyring?=	../../security/gnome-keyring
 
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./security/gnupg-devel/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/gnupg-devel/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./security/gnupg-devel/Makefile	5 Feb 2006 23:10:43 -0000	1.14
+++ ./security/gnupg-devel/Makefile	4 Apr 2006 06:26:57 -0000
@@ -54,7 +54,7 @@
 pre-configure:
 	cd  ${WRKDIR}/pth-2.0.4 && ./configure --prefix=${WRKDIR}/pth --enable-pthread --enable-static --disable-shared && ${MAKE} install
 
-BUILDLINK_DEPENDS.libgpg-error+=	libgpg-error>=1.0.0
+BUILDLINK_API_DEPENDS.libgpg-error+=	libgpg-error>=1.0.0
 
 .include "../../databases/openldap/buildlink3.mk"
 .include "../../converters/libiconv/buildlink3.mk"
Index: ./security/gnupg-devel/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/gnupg-devel/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./security/gnupg-devel/buildlink3.mk	5 Feb 2006 23:10:43 -0000	1.3
+++ ./security/gnupg-devel/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnupg-devel
 
 .if !empty(GNUPG_DEVEL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnupg-devel+=	gnupg-devel>=1.9.11
-BUILDLINK_RECOMMENDED.gnupg-devel+=	gnupg-devel>=1.9.20nb1
+BUILDLINK_API_DEPENDS.gnupg-devel+=	gnupg-devel>=1.9.11
+BUILDLINK_ABI_DEPENDS.gnupg-devel+=	gnupg-devel>=1.9.20nb1
 BUILDLINK_PKGSRCDIR.gnupg-devel?=	../../security/gnupg-devel
 .endif	# GNUPG_DEVEL_BUILDLINK3_MK
 BUILDLINK_PREFIX.gnupg-devel?=	${LOCALBASE}
Index: ./security/gnutls/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/gnutls/Makefile,v
retrieving revision 1.46
diff -u -r1.46 Makefile
--- ./security/gnutls/Makefile	9 Mar 2006 17:25:54 -0000	1.46
+++ ./security/gnutls/Makefile	4 Apr 2006 06:26:57 -0000
@@ -25,9 +25,9 @@
 PKGCONFIG_OVERRIDE=	lib/gnutls.pc.in
 PKGCONFIG_OVERRIDE+=	libextra/gnutls-extra.pc.in
 
-BUILDLINK_DEPENDS.opencdk+=	opencdk>=0.5.5
-BUILDLINK_DEPENDS.libtasn1+=	libtasn1>=0.3.1
-BUILDLINK_DEPENDS.libgcrypt+=	libgcrypt>=1.2.2
+BUILDLINK_API_DEPENDS.opencdk+=	opencdk>=0.5.5
+BUILDLINK_API_DEPENDS.libtasn1+=	libtasn1>=0.3.1
+BUILDLINK_API_DEPENDS.libgcrypt+=	libgcrypt>=1.2.2
 
 MAKE_ENV+=		RM=${RM:Q}
 MAKE_ENV+=		TZ=UTC
Index: ./security/gnutls/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/gnutls/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./security/gnutls/buildlink3.mk	6 Mar 2006 00:18:10 -0000	1.13
+++ ./security/gnutls/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnutls
 
 .if !empty(GNUTLS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnutls+=	gnutls>=1.0.13
-BUILDLINK_RECOMMENDED.gnutls+=	gnutls>=1.3.4nb1
+BUILDLINK_API_DEPENDS.gnutls+=	gnutls>=1.0.13
+BUILDLINK_ABI_DEPENDS.gnutls+=	gnutls>=1.3.4nb1
 BUILDLINK_PKGSRCDIR.gnutls?=	../../security/gnutls
 .endif	# GNUTLS_BUILDLINK3_MK
 
Index: ./security/gpgme/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/gpgme/Makefile,v
retrieving revision 1.40
diff -u -r1.40 Makefile
--- ./security/gpgme/Makefile	1 Mar 2006 16:22:20 -0000	1.40
+++ ./security/gpgme/Makefile	4 Apr 2006 06:26:57 -0000
@@ -49,7 +49,7 @@
 .include "../../security/libgpg-error/buildlink3.mk"
 
 # we want the getenv_r() semantics of NetBSD-current
-BUILDLINK_DEPENDS.librfuncs+=	librfuncs>=1.0.7nb1
+BUILDLINK_API_DEPENDS.librfuncs+=	librfuncs>=1.0.7nb1
 .include "../../devel/librfuncs/buildlink3.mk"
 
 ##
Index: ./security/gpgme/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/gpgme/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./security/gpgme/buildlink3.mk	5 Feb 2006 23:10:44 -0000	1.10
+++ ./security/gpgme/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gpgme
 
 .if !empty(GPGME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gpgme+=	gpgme>=0.9.0
-BUILDLINK_RECOMMENDED.gpgme+=	gpgme>=1.0.3nb1
+BUILDLINK_API_DEPENDS.gpgme+=	gpgme>=0.9.0
+BUILDLINK_ABI_DEPENDS.gpgme+=	gpgme>=1.0.3nb1
 BUILDLINK_PKGSRCDIR.gpgme?=	../../security/gpgme
 .endif	# GPGME_BUILDLINK3_MK
 
Index: ./security/gpgme03/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/gpgme03/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./security/gpgme03/buildlink3.mk	5 Feb 2006 23:10:44 -0000	1.5
+++ ./security/gpgme03/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gpgme03
 
 .if !empty(GPGME03_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gpgme03+=	gpgme03>=0.3.16
-BUILDLINK_RECOMMENDED.gpgme03+=	gpgme03>=0.3.16nb2
+BUILDLINK_API_DEPENDS.gpgme03+=	gpgme03>=0.3.16
+BUILDLINK_ABI_DEPENDS.gpgme03+=	gpgme03>=0.3.16nb2
 BUILDLINK_PKGSRCDIR.gpgme03?=	../../security/gpgme03
 
 BUILDLINK_FILES.gpgme03+=	bin/gpgme03-config
Index: ./security/gsasl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/gsasl/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./security/gsasl/buildlink3.mk	5 Feb 2006 23:10:44 -0000	1.7
+++ ./security/gsasl/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gsasl
 
 .if !empty(GSASL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gsasl+=	gsasl>=0.2.3
-BUILDLINK_RECOMMENDED.gsasl?=	gsasl>=0.2.5nb1
+BUILDLINK_API_DEPENDS.gsasl+=	gsasl>=0.2.3
+BUILDLINK_ABI_DEPENDS.gsasl?=	gsasl>=0.2.5nb1
 BUILDLINK_PKGSRCDIR.gsasl?=	../../security/gsasl
 .endif	# GSASL_BUILDLINK3_MK
 
Index: ./security/gss/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/gss/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./security/gss/buildlink3.mk	3 Oct 2004 00:18:09 -0000	1.4
+++ ./security/gss/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gss
 
 .if !empty(GSS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gss+=		gss>=0.0.6nb1
-BUILDLINK_RECOMMENDED.gss+=	gss>=0.0.13nb1
+BUILDLINK_API_DEPENDS.gss+=		gss>=0.0.6nb1
+BUILDLINK_ABI_DEPENDS.gss+=	gss>=0.0.13nb1
 BUILDLINK_PKGSRCDIR.gss?=	../../security/gss
 .endif	# GSS_BUILDLINK3_MK
 
Index: ./security/heimdal/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/heimdal/buildlink3.mk,v
retrieving revision 1.26
diff -u -r1.26 buildlink3.mk
--- ./security/heimdal/buildlink3.mk	26 Oct 2005 15:12:45 -0000	1.26
+++ ./security/heimdal/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	heimdal
 
 .if !empty(HEIMDAL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.heimdal+=	heimdal>=0.4e
-BUILDLINK_RECOMMENDED.heimdal+=	heimdal>=0.6.3nb2
+BUILDLINK_API_DEPENDS.heimdal+=	heimdal>=0.4e
+BUILDLINK_ABI_DEPENDS.heimdal+=	heimdal>=0.6.3nb2
 BUILDLINK_PKGSRCDIR.heimdal?=	../../security/heimdal
 BUILDLINK_INCDIRS.heimdal?=	include/krb5
 .endif	# HEIMDAL_BUILDLINK3_MK
Index: ./security/heimdal/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/heimdal/builtin.mk,v
retrieving revision 1.7
diff -u -r1.7 builtin.mk
--- ./security/heimdal/builtin.mk	26 Jan 2006 22:46:15 -0000	1.7
+++ ./security/heimdal/builtin.mk	4 Apr 2006 06:26:57 -0000
@@ -74,7 +74,7 @@
 .    if defined(BUILTIN_PKG.heimdal) && \
         !empty(IS_BUILTIN.heimdal:M[yY][eE][sS])
 USE_BUILTIN.heimdal=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.heimdal}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.heimdal}
 .        if !empty(USE_BUILTIN.heimdal:M[yY][eE][sS])
 USE_BUILTIN.heimdal!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.heimdal:Q}; then \
@@ -97,7 +97,7 @@
 .if !empty(CHECK_BUILTIN.heimdal:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.heimdal:M[nN][oO])
-BUILDLINK_DEPENDS.heimdal+=	heimdal>=0.6
+BUILDLINK_API_DEPENDS.heimdal+=	heimdal>=0.6
 
 KRB5_CONFIG?=	${BUILDLINK_PREFIX.heimdal}/bin/krb5-config
 CONFIGURE_ENV+=	KRB5_CONFIG=${KRB5_CONFIG:Q}
Index: ./security/hydra/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/hydra/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- ./security/hydra/Makefile	5 Feb 2006 00:18:29 -0000	1.7
+++ ./security/hydra/Makefile	4 Apr 2006 06:26:57 -0000
@@ -32,7 +32,7 @@
 USE_OLD_DES_API=	YES
 PLIST_SRC=		${WRKDIR}/.PLIST_SRC
 CONFIGURE_ARGS+=	--prefix=${PREFIX:Q}
-BUILDLINK_DEPENDS.libssh+=	libssh-0.11
+BUILDLINK_API_DEPENDS.libssh+=	libssh-0.11
 
 INSTALLATION_DIRS=	bin
 
Index: ./security/kth-krb4/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/kth-krb4/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./security/kth-krb4/buildlink3.mk	5 Feb 2006 23:10:44 -0000	1.3
+++ ./security/kth-krb4/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -12,9 +12,9 @@
 BUILDLINK_PACKAGES+=	kth-krb4
 
 .if !empty(KTH_KRB4_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kth-krb4+=	kth-krb4>=1.1.1
-BUILDLINK_RECOMMENDED.kth-krb4+=kth-krb4>=1.2.1nb5
-BUILDLINK_RECOMMENDED.kth-krb4?=	kth-krb4>=1.2.1nb6
+BUILDLINK_API_DEPENDS.kth-krb4+=	kth-krb4>=1.1.1
+BUILDLINK_ABI_DEPENDS.kth-krb4+=kth-krb4>=1.2.1nb5
+BUILDLINK_ABI_DEPENDS.kth-krb4?=	kth-krb4>=1.2.1nb6
 BUILDLINK_PKGSRCDIR.kth-krb4?=	../../security/kth-krb4
 .endif	# KTH_KRB4_BUILDLINK3_MK
 
Index: ./security/libassuan/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/libassuan/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- ./security/libassuan/Makefile	5 Feb 2006 23:10:44 -0000	1.8
+++ ./security/libassuan/Makefile	4 Apr 2006 06:26:57 -0000
@@ -16,7 +16,7 @@
 
 INFO_FILES=		assuan.info
 
-BUILDLINK_DEPENDS.libgpg-error+=	libgpg-error>=1.0.0
+BUILDLINK_API_DEPENDS.libgpg-error+=	libgpg-error>=1.0.0
 
 .include "../../security/libgpg-error/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./security/libassuan/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libassuan/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./security/libassuan/buildlink3.mk	5 Feb 2006 23:10:44 -0000	1.2
+++ ./security/libassuan/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libassuan
 
 .if !empty(LIBASSUAN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libassuan+=	libassuan>=0.6.7
-BUILDLINK_RECOMMENDED.libassuan?=	libassuan>=0.6.10nb2
+BUILDLINK_API_DEPENDS.libassuan+=	libassuan>=0.6.7
+BUILDLINK_ABI_DEPENDS.libassuan?=	libassuan>=0.6.10nb2
 BUILDLINK_PKGSRCDIR.libassuan?=	../../security/libassuan
 .endif	# LIBASSUAN_BUILDLINK3_MK
 
Index: ./security/libcrack/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libcrack/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./security/libcrack/buildlink3.mk	3 Oct 2004 00:18:09 -0000	1.6
+++ ./security/libcrack/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libcrack
 
 .if !empty(LIBCRACK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libcrack+=	libcrack>=2.7
-BUILDLINK_RECOMMENDED.libcrack+=	libcrack>=2.7nb1
+BUILDLINK_API_DEPENDS.libcrack+=	libcrack>=2.7
+BUILDLINK_ABI_DEPENDS.libcrack+=	libcrack>=2.7nb1
 BUILDLINK_PKGSRCDIR.libcrack?=	../../security/libcrack
 .endif	# LIBCRACK_BUILDLINK3_MK
 
Index: ./security/libdes/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libdes/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./security/libdes/buildlink3.mk	12 Apr 2004 20:46:28 -0000	1.1
+++ ./security/libdes/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libdes
 
 .if !empty(LIBDES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdes+=	libdes>=4.04b
+BUILDLINK_API_DEPENDS.libdes+=	libdes>=4.04b
 BUILDLINK_PKGSRCDIR.libdes?=	../../security/libdes
 BUILDLINK_DEPMETHOD.libdes?=	build
 .endif	# LIBDES_BUILDLINK3_MK
Index: ./security/libdes/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libdes/builtin.mk,v
retrieving revision 1.4
diff -u -r1.4 builtin.mk
--- ./security/libdes/builtin.mk	1 Jun 2005 18:03:21 -0000	1.4
+++ ./security/libdes/builtin.mk	4 Apr 2006 06:26:57 -0000
@@ -31,7 +31,7 @@
 .    if defined(BUILTIN_PKG.libdes) && \
         !empty(IS_BUILTIN.libdes:M[yY][eE][sS])
 USE_BUILTIN.libdes=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.libdes}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.libdes}
 .        if !empty(USE_BUILTIN.libdes:M[yY][eE][sS])
 USE_BUILTIN.libdes!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.libdes:Q}; then	\
Index: ./security/libfwbuilder/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/libfwbuilder/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- ./security/libfwbuilder/Makefile	12 Mar 2006 06:56:30 -0000	1.19
+++ ./security/libfwbuilder/Makefile	4 Apr 2006 06:26:57 -0000
@@ -19,7 +19,7 @@
 .include "../../textproc/libxml2/buildlink3.mk"
 .include "../../textproc/libxslt/buildlink3.mk"
 .include "../../x11/qt3-libs/buildlink3.mk"
-BUILDLINK_DEPENDS.qt3-tools+=	qt3-tools>=3.3.5nb5
+BUILDLINK_API_DEPENDS.qt3-tools+=	qt3-tools>=3.3.5nb5
 .include "../../x11/qt3-tools/buildlink3.mk"
 .include "../../mk/pthread.buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./security/libfwbuilder/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libfwbuilder/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./security/libfwbuilder/buildlink3.mk	3 Mar 2006 01:29:40 -0000	1.10
+++ ./security/libfwbuilder/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libfwbuilder
 
 .if !empty(LIBFWBUILDER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libfwbuilder+=	libfwbuilder>=2.0.10
-BUILDLINK_RECOMMENDED.libfwbuilder?=	libfwbuilder>=2.0.10nb2
+BUILDLINK_API_DEPENDS.libfwbuilder+=	libfwbuilder>=2.0.10
+BUILDLINK_ABI_DEPENDS.libfwbuilder?=	libfwbuilder>=2.0.10nb2
 BUILDLINK_PKGSRCDIR.libfwbuilder?=	../../security/libfwbuilder
 .endif	# LIBFWBUILDER_BUILDLINK3_MK
 
Index: ./security/libgcrypt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libgcrypt/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./security/libgcrypt/buildlink3.mk	5 Feb 2006 23:10:44 -0000	1.9
+++ ./security/libgcrypt/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgcrypt
 
 .if !empty(LIBGCRYPT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgcrypt+=	libgcrypt>=1.2.0
-BUILDLINK_RECOMMENDED.libgcrypt+=	libgcrypt>=1.2.2nb1
+BUILDLINK_API_DEPENDS.libgcrypt+=	libgcrypt>=1.2.0
+BUILDLINK_ABI_DEPENDS.libgcrypt+=	libgcrypt>=1.2.2nb1
 BUILDLINK_PKGSRCDIR.libgcrypt?=	../../security/libgcrypt
 .endif	# LIBGCRYPT_BUILDLINK3_MK
 
Index: ./security/libgpg-error/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libgpg-error/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./security/libgpg-error/buildlink3.mk	5 Feb 2006 23:10:44 -0000	1.8
+++ ./security/libgpg-error/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgpg-error
 
 .if !empty(LIBGPG_ERROR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgpg-error+=	libgpg-error>=0.6
-BUILDLINK_RECOMMENDED.libgpg-error+=	libgpg-error>=1.0nb1
+BUILDLINK_API_DEPENDS.libgpg-error+=	libgpg-error>=0.6
+BUILDLINK_ABI_DEPENDS.libgpg-error+=	libgpg-error>=1.0nb1
 BUILDLINK_PKGSRCDIR.libgpg-error?=	../../security/libgpg-error
 .endif	# LIBGPG_ERROR_BUILDLINK3_MK
 
Index: ./security/libidea/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libidea/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./security/libidea/buildlink3.mk	18 Apr 2004 18:48:41 -0000	1.1
+++ ./security/libidea/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libidea
 
 .if !empty(LIBIDEA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libidea+=	libidea>=0.8.2
+BUILDLINK_API_DEPENDS.libidea+=	libidea>=0.8.2
 BUILDLINK_PKGSRCDIR.libidea?=	../../security/libidea
 BUILDLINK_DEPMETHOD.libidea?=	build
 .endif	# LIBIDEA_BUILDLINK3_MK
Index: ./security/libident/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libident/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./security/libident/buildlink3.mk	3 Oct 2004 00:18:09 -0000	1.2
+++ ./security/libident/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libident
 
 .if !empty(LIBIDENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libident+=	libident>=0.22
-BUILDLINK_RECOMMENDED.libident+=	libident>=0.22nb1
+BUILDLINK_API_DEPENDS.libident+=	libident>=0.22
+BUILDLINK_ABI_DEPENDS.libident+=	libident>=0.22nb1
 BUILDLINK_PKGSRCDIR.libident?=	../../security/libident
 .endif	# LIBIDENT_BUILDLINK3_MK
 
Index: ./security/libksba/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libksba/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./security/libksba/buildlink3.mk	5 Feb 2006 23:10:44 -0000	1.8
+++ ./security/libksba/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libksba
 
 .if !empty(LIBKSBA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libksba+=	libksba>=0.9.7
-BUILDLINK_RECOMMENDED.libksba+=	libksba>=0.9.13nb1
+BUILDLINK_API_DEPENDS.libksba+=	libksba>=0.9.7
+BUILDLINK_ABI_DEPENDS.libksba+=	libksba>=0.9.13nb1
 BUILDLINK_PKGSRCDIR.libksba?=	../../security/libksba
 .endif	# LIBKSBA_BUILDLINK3_MK
 
Index: ./security/libksba04/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libksba04/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./security/libksba04/buildlink3.mk	3 Oct 2004 00:18:10 -0000	1.2
+++ ./security/libksba04/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libksba
 
 .if !empty(LIBKSBA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libksba+=	libksba>=0.4.7nb1
-BUILDLINK_RECOMMENDED.libksba+=	libksba>=0.4.7nb2
+BUILDLINK_API_DEPENDS.libksba+=	libksba>=0.4.7nb1
+BUILDLINK_ABI_DEPENDS.libksba+=	libksba>=0.4.7nb2
 BUILDLINK_PKGSRCDIR.libksba?=	../../security/libksba04
 .endif	# LIBKSBA_BUILDLINK3_MK
 
Index: ./security/libmcrypt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libmcrypt/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./security/libmcrypt/buildlink3.mk	3 Oct 2004 00:18:10 -0000	1.2
+++ ./security/libmcrypt/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libmcrypt
 
 .if !empty(LIBMCRYPT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmcrypt+=	libmcrypt>=2.5.6
-BUILDLINK_RECOMMENDED.libmcrypt+=	libmcrypt>=2.5.7nb1
+BUILDLINK_API_DEPENDS.libmcrypt+=	libmcrypt>=2.5.6
+BUILDLINK_ABI_DEPENDS.libmcrypt+=	libmcrypt>=2.5.7nb1
 BUILDLINK_PKGSRCDIR.libmcrypt?=	../../security/libmcrypt
 .endif	# LIBMCRYPT_BUILDLINK3_MK
 
Index: ./security/libnasl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libnasl/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./security/libnasl/buildlink3.mk	21 Feb 2005 10:08:43 -0000	1.5
+++ ./security/libnasl/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=	libnasl
 
 .if !empty(LIBNASL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libnasl+=	libnasl>=2.2.3
-BUILDLINK_RECOMMENDED.libnasl?=	libnasl>=2.2.3
+BUILDLINK_API_DEPENDS.libnasl+=	libnasl>=2.2.3
+BUILDLINK_ABI_DEPENDS.libnasl?=	libnasl>=2.2.3
 BUILDLINK_PKGSRCDIR.libnasl?=	../../security/libnasl
 .endif	# LIBNASL_BUILDLINK3_MK
 
Index: ./security/libprelude/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libprelude/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./security/libprelude/buildlink3.mk	10 Mar 2006 22:19:29 -0000	1.4
+++ ./security/libprelude/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libprelude
 
 .if !empty(LIBPRELUDE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libprelude+=	libprelude>=0.9.0
-BUILDLINK_RECOMMENDED.libprelude?=	libprelude>=0.9.7
+BUILDLINK_API_DEPENDS.libprelude+=	libprelude>=0.9.0
+BUILDLINK_ABI_DEPENDS.libprelude?=	libprelude>=0.9.7
 BUILDLINK_PKGSRCDIR.libprelude?=	../../security/libprelude
 .endif	# LIBPRELUDE_BUILDLINK3_MK
 
Index: ./security/libpreludedb/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libpreludedb/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./security/libpreludedb/buildlink3.mk	10 Mar 2006 22:44:50 -0000	1.5
+++ ./security/libpreludedb/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libpreludedb
 
 .if !empty(LIBPRELUDEDB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libpreludedb+=	libpreludedb>=0.9.3
-BUILDLINK_RECOMMENDED.libpreludedb?=	libpreludedb>=0.9.6
+BUILDLINK_API_DEPENDS.libpreludedb+=	libpreludedb>=0.9.3
+BUILDLINK_ABI_DEPENDS.libpreludedb?=	libpreludedb>=0.9.6
 BUILDLINK_PKGSRCDIR.libpreludedb?=	../../security/libpreludedb
 .endif	# LIBPRELUDEDB_BUILDLINK3_MK
 
Index: ./security/libssh/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libssh/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./security/libssh/buildlink3.mk	5 Feb 2006 00:20:17 -0000	1.3
+++ ./security/libssh/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libssh
 
 .if !empty(LIBSSH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libssh+=	libssh>=0.11
+BUILDLINK_API_DEPENDS.libssh+=	libssh>=0.11
 BUILDLINK_PKGSRCDIR.libssh?=	../../security/libssh
 .endif	# LIBSSH_BUILDLINK3_MK
 
Index: ./security/libtasn1/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libtasn1/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./security/libtasn1/buildlink3.mk	6 Mar 2006 00:18:10 -0000	1.5
+++ ./security/libtasn1/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libtasn1
 
 .if !empty(LIBTASN1_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libtasn1+=	libtasn1>=0.2.7
-BUILDLINK_RECOMMENDED.libtasn1+=	libtasn1>=0.3.0
+BUILDLINK_API_DEPENDS.libtasn1+=	libtasn1>=0.2.7
+BUILDLINK_ABI_DEPENDS.libtasn1+=	libtasn1>=0.3.0
 BUILDLINK_PKGSRCDIR.libtasn1?=	../../security/libtasn1
 .endif	# LIBTASN1_BUILDLINK3_MK
 
Index: ./security/libtcpa/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/libtcpa/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./security/libtcpa/buildlink3.mk	26 Mar 2004 02:27:52 -0000	1.5
+++ ./security/libtcpa/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libtcpa
 
 .if !empty(LIBTCPA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libtcpa+=	libtcpa>=1.1b
-BUILDLINK_RECOMMENDED.libtcpa?=	libtcpa>=1.1bnb1
+BUILDLINK_API_DEPENDS.libtcpa+=	libtcpa>=1.1b
+BUILDLINK_ABI_DEPENDS.libtcpa?=	libtcpa>=1.1bnb1
 BUILDLINK_PKGSRCDIR.libtcpa?=	../../security/libtcpa
 BUILDLINK_DEPMETHOD.libtcpa?=	build
 .endif	# LIBTCPA_BUILDLINK3_MK
Index: ./security/mhash/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/mhash/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./security/mhash/buildlink3.mk	5 Feb 2006 23:10:45 -0000	1.3
+++ ./security/mhash/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mhash
 
 .if !empty(MHASH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mhash+=	mhash>=0.8.3
-BUILDLINK_RECOMMENDED.mhash+=	mhash>=0.9.2nb1
+BUILDLINK_API_DEPENDS.mhash+=	mhash>=0.8.3
+BUILDLINK_ABI_DEPENDS.mhash+=	mhash>=0.9.2nb1
 BUILDLINK_PKGSRCDIR.mhash?=	../../security/mhash
 .endif	# MHASH_BUILDLINK3_MK
 
Index: ./security/mit-krb5/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/mit-krb5/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./security/mit-krb5/buildlink3.mk	16 Apr 2005 14:32:53 -0000	1.4
+++ ./security/mit-krb5/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mit-krb5
 
 .if !empty(MIT_KRB5_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mit-krb5+=		mit-krb5>=1.3.1
-BUILDLINK_RECOMMENDED.mit-krb5+=	mit-krb5>=1.4nb1
+BUILDLINK_API_DEPENDS.mit-krb5+=		mit-krb5>=1.3.1
+BUILDLINK_ABI_DEPENDS.mit-krb5+=	mit-krb5>=1.4nb1
 BUILDLINK_PKGSRCDIR.mit-krb5?=		../../security/mit-krb5
 .endif	# MIT_KRB5_BUILDLINK3_MK
 
